Subject: RE: [ietf-provreg] EPP and IDN

From: "Hollenbeck, Scott" <[email-masked]>
Date: Thu, 31 Jul 2003 07:58:19 -0400

> EPP itself (which I believe is Unicode-clean) or one of the mappings?
> The current domain mapping does not seem to allow IDN. domain-07 says:
> 
>   The syntax for domain and host names described in this document MUST
>   conform to [RFC952] as updated by [RFC1123].  These conformance
>   requirements might change as a result of progressing work in
>   developing standards for internationalized domain names.
> 
> <troll>Now that RFC 3490 is out, may be we should stop the draft
> documents and rewrite that part before resending them to the
> IESG?</troll>

I forgot about that -- I'll add it to the list of things to fix when I have
my author's 48-hour editing opportunity.

BUT: IDNs per the RFCs require punycode, so the requirement is still met.  I
think I need to reword this so it separates exchange format (which can be
different encodings XML) from DNS format, perhaps by referencing RFC 3490.

-Scott-